Subject: Re: passing CURLOPT_CERTTYPE to libcurl

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Dec 2021 17:08:59 -0800

Florian Mickler <[email-masked]> writes:

> Is there a specific reason, that patch wasn't merged? It would allow
> for non-pem ssl certificates to be loaded also (without pkcs11 at all). 
>
> I realize, that the underlying systems could and should set up
> everything automagically as soon as i point them to the certificate that
> i want to use. But not opening up these CURL Settings from git seems
> kind of silly given that today's systems still seem kinda borked and do
> not do that.  What harm comes from these two tuning knobs being exposed?
>
> Best regards,
> Flo
>
>
> [1] https://marc.info/?l=git&m=136675822032549&w=2

Almost always, when some patch aims to achieve a worthy goal, and in
the initial discussion on the thread more experienced project
members agree it is a worthwhile thing to do, the only reason why
the feature proposed does not materialize in later versions of Git
is because the developer with the original itch did not follow it
through after getting review comments and saying something that
makes reviewers to expect an updated version of the patch.

I didn't follow your marc.info URL, but I am reasonably sure, if I
were involved in the discussion, that would be the likely reason.